#
# spec file for package rubygem-logging
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-logging
Version:        2.4.0
Release:        1.1
%define mod_name logging
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            http://rubygems.org/gems/logging
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A flexible and extendable logging library for Ruby
License:        MIT

%description
**Logging** is a flexible logging library for use in Ruby programs based on
the
design of Java's log4j library. It features a hierarchical logging system,
custom level names, multiple output destinations per log event, custom
formatting, and more.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.4.0, see bundled History.txt
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.1
  see installed History.txt
  == 2.3.1 / 2022-05-24
  Bug Fixes
  - logging hangs on JRuby when the stdout appender is closed [PR #237]
  - initialize the Logging framework when a Filter is created [PR #238]
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.0
  see installed History.txt
  == 2.3.0 / 2020-07-04
  Enhancements
  - all appender output is now synchronized [PR #219]
  - renamed the `LogEvent#method` to no longer conflict with `Kernel#method` [PR #218]
  - @bhuga (not the Fortnite star) added a `raise_errors` method for debugging [PR #203]
  - thanks to @olleolleolle for keeping on top of Travis and Ruby versions
  Bug Fixes
  - conosle appenders can be reopened [PR #220]
  - fixed a race condition in the rolling file appender [PR #216]
  - fixed a race condition when opening log file destinations [PR #208 #217]
  - @MikaelSmith fixed a race condition in Logger creation [PR #201]
  - documentation bug fixes [PR #184 #185 #188 #194 #209]
* Thu Apr 13 2017 coolo@suse.com
- updated to version 2.2.2
  see installed History.txt
  == 2.2.2 / 2017-04-11
  Enhancements
  - limit the depth of nested exceptions [PR #167]
* Mon Apr 10 2017 coolo@suse.com
- updated to version 2.2.1
  see installed History.txt
  == 2.2.1 / 2017-04-09
  Enhancements
  - show exception `cause` if one exists [PR #165]
* Fri Mar 10 2017 coolo@suse.com
- updated to version 2.2.0
  see installed History.txt
  == 2.2.0 / 2017-03-09
  Enhancements
  - diagnostic context inheritance is now optional [PR #160]
  - add support for setting a UTC offset [PR #157]
  - setting a basepath for call tracing [PR #154]
  Bug Fixes
  - use thread-local variables for diagnostic contexts [PR #162]
  - replace `Fixnum` with `Integer` [PR #161]
  - fixed a race condition in the rolling file appender [PR #151]
  Deprecations
  - dropped Ruby 1.9 support
* Mon Mar 14 2016 coolo@suse.com
- updated to version 2.1.0
  see installed History.txt
  == 2.1.0 / 2016-03-13
  Enhancements
  - appender factories now fail explicitly on bad arguments [PR #117]
  - console loggers (stdout, stderr) use `write` for compatibility [PR #127]
  - allow whitespace in traced method names [PR #128]
  - accessor methods for `backtrace` settings [PR #134]
  - asynchronous writing from buffered appenders [PR #135]
  - improve date format performance when outputting microseconds [PR #136]
  - added some thread safety to log level setters [PR #137]
  - use `write` everywhere instead of `syswrite` [PR #138]
  Bug Fixes
  - fixing encodings in tests [PR #116]
  - fix Rails4 logger compatibility [PR #121]
  - explicitly adding the MIT license [PR #123]
  - update `object_id` format in inspect methods [PR #133]
  - fixed Travis-CI tests
* Sun Mar 29 2015 coolo@suse.com
- updated to version 2.0.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Feb  6 2014 coolo@suse.com
- updated to version 1.8.2
  Bug Fixes
  - Adding a `formatter` method for Rails 4 compatibility
* Thu Jan  3 2013 coolo@suse.com
- updated to version 1.8.1
* Fri Sep 21 2012 coolo@suse.com
- updated to version 1.8.0
  Enhancements
  - Appenders handle string encodings [issue #46]
  - Support for diagnostic contexts [issues #23, #32, #42]
  - Enable JSON formatting of log message [issue #34]
  Bug Fixes
  - Fix clash with ActiveSupport autoloader (chewie) [issue #39]
* Wed Aug  1 2012 coolo@suse.com
- updated to version 1.7.2
* Thu Mar 24 2011 fcastelli@novell.com
- packaged version 1.5.0
